OgreMath.h File Reference
`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Classes

class | Ogre::Radian
| Wrapper class which indicates a given angle value is in Radians. More...
class | Ogre::Degree
| Wrapper class which indicates a given angle value is in Degrees. More...
class | Ogre::Angle
| Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAngleUnit. More...
class | Ogre::Math
| Class to provide access to common mathematical functions. More...

## Namespaces

namespace | Ogre

## Functions

Radian | Ogre::operator* (Real a, const Radian &b)
Radian | Ogre::operator/ (Real a, const Radian &b)
Degree | Ogre::operator* (Real a, const Degree &b)
Degree | Ogre::operator/ (Real a, const Degree &b)

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:24